<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
	<form-bean
				name="w83bFormMenuListado"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoEmpresaVariosPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoLibroRegistro"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoRelAlfPreavisos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormMenuListado[w83bListadosBean],w83bFormListadoEmpresaVariosPreavisos[w83bListadosBean],w83bFormListadoLibroRegistro[w83bListadosBean],w83bFormListadoRelAlfPreavisos[w83bListadosBean]"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.informes"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.listados"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
				<form-property name="w83bResultadoListadosBean" type="java.util.List"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path ="/w83bInicioInformes" forward="/w83bPaginaInicioInformesMedio.do"/>
		<action path ="/w83bInicioInformesFinal" forward="paginaInicioInformes"/>
		<action path ="/w83bInicioListados" forward="/w83bPaginaInicioListadosMedio.do"/>
		<action path ="/w83bInicioListadosFinal" forward="paginaInicioListados"/>
		<action path ="/w83bInicioListadoPreavisos" forward="/w83bPaginaInicioListadoPreavisosMedio.do"/>
		<action path ="/w83bInicioListadoPreavisosFinal" forward="paginaInicioListadoPreavisos"/>
		<action path ="/w83bListadoEmpresaVariosPreavisos" forward="/w83bPaginaListadoEmpresaVariosPreavisosMedio.do"/>
		<action path ="/w83bPaginaListadoEmpresaVariosPreavisosFinal" forward="paginaListadoEmpresaVariosPreavisos"/>
		<action path ="/w83bListadoRelacionAlfabPreavisos" forward="/w83bPaginaListadoRelacionAlfabPreavisosMedio.do"/>
		<action path ="/w83bPaginaListadoRelacionAlfabPreavisosFinal" forward="paginaListadoRelacionAlfabPreavisos"/>
		<action path ="/w83bListadoLibroRegistroPreavisos" forward="/w83bPaginaListadoLibroRegistroPreavisosMedio.do"/>
		<action path ="/w83bPaginaListadoLibroRegistroPreavisosFinal" forward="paginaListadoLibroRegistroPreavisos"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatchListEmpVariosPre"
				name="w83bFormListadoEmpresaVariosPreavisos"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoPreavisos.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqEmpVariosPre.do"/>
		</action>
		<action
				path="/w83bDispatchListLibroRegPre"
				name="w83bFormListadoLibroRegistro"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoPreavisos.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqLibroRegPre.do"/>
		</action>
		<action
				path="/w83bDispatchListRelAlfPre"
				name="w83bFormListadoRelAlfPreavisos"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoPreavisos.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqRelAlfabPre.do"/>
		</action>
		<action
				path="/w83bDispatch"
				name="w83bFormListadoEmpresaVariosPreavisos"
				scope="request"
				validate="true"
				input="/w83bListadoEmpresaVariosPreavisos.do" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoPreavisos.do"/>
		</action>
		
		<action path="/w83bPaginaInicioInformesMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaInicioInformesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioInformesFinal.do"/>
			<forward name="error" path="/w83bInicioInformes.do"/>
		</action>
		
		<action path="/w83bPaginaInicioListadosMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaInicioListadosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioListadosFinal.do"/>
			<forward name="error" path="/w83bInicioListados.do"/>
		</action>
		
		<action path="/w83bPaginaInicioListadoPreavisosMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaInicioListadoPreavisosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioListadoPreavisosFinal.do"/>
			<forward name="error" path="/w83bInicioListadoPreavisos.do"/>
		</action>
		
		<action path="/w83bPaginaListadoEmpresaVariosPreavisosMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaInicioListadoEmpVariosPreOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoEmpresaVariosPreavisosFinal.do"/>
			<forward name="error" path="/w83bPaginaListadoEmpresaVariosPreavisos.do"/>
		</action>
		
		<action path="/w83bPaginaListadoRelacionAlfabPreavisosMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaInicioListRelAlfPreOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoRelacionAlfabPreavisosFinal.do"/>
			<forward name="error" path="/w83bPaginaListadoRelacionAlfabPreavisos.do"/>
		</action>
		
		<action path="/w83bPaginaListadoLibroRegistroPreavisosMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaInicioListadoLibRegPreOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoLibroRegistroPreavisosFinal.do"/>
			<forward name="error" path="/w83bPaginaListadoLibroRegistroPreavisos.do"/>
		</action>
		
		<action path="/w83bTablaBusqEmpVariosPreOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaEmpVariosPreOPAction" 
			 name="w83bFormListadoEmpresaVariosPreavisos" validate="false" input="/w83bListadoEmpresaVariosPreavisos.do">
			<forward name="ok" path="/w83bBusqEmpVariosPre.do"/>
			<forward name="error" path="/w83bListadoEmpresaVariosPreavisos.do"/>
		</action>
		
		<action path="/w83bTablaBusqLibroRegPreOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaLibroRegPreOPAction" 
			 name="w83bFormListadoLibroRegistro" validate="false" input="/w83bListadoLibroRegistroPreavisos.do">
			<forward name="ok" path="/w83bBusqLibroRegPre.do"/>
			<forward name="error" path="/w83bListadoLibroRegistroPreavisos.do"/>
		</action>
		
		<action path="/w83bTablaBusqRelAlfabPreOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaRelAlfabPreOPAction" 
			 name="w83bFormListadoRelAlfPreavisos" validate="false" input="/w83bListadoRelacionAlfabPreavisos.do">
			<forward name="ok" path="/w83bBusqRelAlfabPre.do"/>
			<forward name="error" path="/w83bListadoRelacionAlfabPreavisos.do"/>
		</action>
		
		<action path ="/w83bBusqEmpVariosPre" 
			 parameter="w83bBusqEmpVariosPreOI" 
			 validate="false" 
			 input="/w83bListadoEmpresaVariosPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqLibroRegActasOutOP.do" />
					<forward name="error" path="/w83bListadoEmpresaVariosPreavisos.do" />
		</action>
		
		<action path="/w83bBusqLibroRegActasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqLibroRegActasOutOPAction" 
			 validate="false">
		</action>
		
		<action path ="/w83bBusqLibroRegPre" 
			 parameter="w83bBusqLibroRegPreOI" 
			 validate="false" input="/w83bListadoLibroRegistroPreavisos.do"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqLibroRegActasOutOP.do" />
					<forward name="error" path="/w83bListadoLibroRegistroPreavisos.do" />
		</action>
		
		<action path ="/w83bBusqRelAlfabPre" 
			 parameter="w83bBusqRelAlfabPreOI" 
			 validate="false" 
			 input="/w83bListadoRelacionAlfabPreavisos.do" 
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqLibroRegActasOutOP.do" />
					<forward name="error" path="/w83bListadoEmpresaVariosPreavisos.do" />
		</action>
		
		<action path="/w83bCrearExcelBusqEmpVariosPre" 
		name="w83bFormListadoEmpresaVariosPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaEmpVariosPreExcelAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bCrearExcelBusqLibroRegPre" 
		name="w83bFormListadoLibroRegistro" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaLibroRegPreExcelAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bCrearExcelBusqRelAlfabPre" 
		name="w83bFormListadoRelAlfPreavisos" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bPreavisos.W83bTablaRelAlfabPreExcelAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/informes/validation-informes.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>